Bug 2142786

Summary: Review Request: lua-epnf - Extended PEG Notation Format (easy grammars for LPeg)
Product: [Fedora] Fedora Reporter: Jonny Heggheim <hegjon>
Component: Package ReviewAssignee: Arthur Bols <arthur>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: arthur, caleb, lua-packagers-sig, package-review
Target Milestone: ---Flags: arthur: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-06 15:05:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2149698, 2142798    

Description Jonny Heggheim 2022-11-15 09:40:55 UTC
Spec URL: https://jonny.fedorapeople.org/lua-epnf.spec
SRPM URL: https://jonny.fedorapeople.org/lua-epnf-0.3-1.fc36.src.rpm

Description:
This Lua module provides sugar for writing grammars/parsers using
the LPeg library. It simplifies error reporting and AST building.

Fedora Account System Username: jonny

Comment 1 Jonny Heggheim 2022-11-15 09:40:58 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=94197773

Comment 2 Jonny Heggheim 2022-11-15 09:42:34 UTC
A dependency for SILE https://sile-typesetter.org/

Comment 3 Arthur Bols 2022-12-05 15:19:20 UTC
Please change the versioned requires for lua-lpeg to unversioned. The oldest
version available is 0.12 in el7, so the requirement would always be met. See
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_package_dependencies

Everything else looks good, package approved! Please fix the versioned requirement before import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/arthur/fedora-
     review/2142786-lua-epnf/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://github.com/siffiejoe/lua-luaepnf/archive/v0.3/lua-luaepnf-0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 57c0ad1917e45c5677bfed0f6122da2baff98117aba05a5e987a0238600f85f9
  CHECKSUM(SHA256) upstream package : 57c0ad1917e45c5677bfed0f6122da2baff98117aba05a5e987a0238600f85f9


Requires
--------
lua-epnf (rpmlib, GLIBC filtered):
    lua(abi)
    lua-lpeg



Provides
--------
lua-epnf:
    lua-epnf



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2142786
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, Ocaml, Java, Python, SugarActivity, Haskell, fonts, R, PHP, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Jonny Heggheim 2022-12-05 17:34:37 UTC
(In reply to Arthur Bols from comment #3)
> Please change the versioned requires for lua-lpeg to unversioned. The oldest
> version available is 0.12 in el7, so the requirement would always be met. See
> https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_package_dependencies
> 
> Everything else looks good, package approved! Please fix the versioned
> requirement before import.

Thanks for the review! I did not know about the versioning of dependencies, I will fix that before import.

Comment 5 Gwyn Ciesla 2022-12-05 17:46:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/lua-epnf

Comment 6 Fedora Update System 2022-12-05 20:02:57 UTC
FEDORA-2022-ccf2827b91 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ccf2827b91

Comment 7 Fedora Update System 2022-12-05 20:03:41 UTC
FEDORA-2022-db2f32f626 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-db2f32f626

Comment 8 Fedora Update System 2022-12-06 01:18:17 UTC
FEDORA-2022-ccf2827b91 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ccf2827b91 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ccf2827b91

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-12-06 01:32:39 UTC
FEDORA-2022-db2f32f626 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-db2f32f626 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-db2f32f626

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Jonny Heggheim 2022-12-06 15:05:49 UTC
Updated for Fedora 36

Comment 11 Fedora Update System 2022-12-14 01:59:30 UTC
FEDORA-2022-db2f32f626 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-12-14 02:11:34 UTC
FEDORA-2022-ccf2827b91 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.